Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network73.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
73.128.0.0
Broadcast address
73.255.255.255
First usable
73.128.0.1
Last usable
73.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 49800000 · Integer 1233125376 to 1241513983
Reverse DNS zones
128.73.in-addr.arpa
129.73.in-addr.arpa
130.73.in-addr.arpa
131.73.in-addr.arpa
132.73.in-addr.arpa
133.73.in-addr.arpa
134.73.in-addr.arpa
135.73.in-addr.arpa
136.73.in-addr.arpa
137.73.in-addr.arpa
138.73.in-addr.arpa
139.73.in-addr.arpa
140.73.in-addr.arpa
141.73.in-addr.arpa
142.73.in-addr.arpa
143.73.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001001.10000000.00000000.0000000073.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001001.10000000.00000000.0000000073.128.0.0
Broadcast01001001.11111111.11111111.1111111173.255.255.255
Split into smaller subnets/20

73.128.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
173.128.0.0/2073.128.0.1 to 73.128.15.25473.128.15.2554,094
273.128.16.0/2073.128.16.1 to 73.128.31.25473.128.31.2554,094
373.128.32.0/2073.128.32.1 to 73.128.47.25473.128.47.2554,094
473.128.48.0/2073.128.48.1 to 73.128.63.25473.128.63.2554,094
573.128.64.0/2073.128.64.1 to 73.128.79.25473.128.79.2554,094
673.128.80.0/2073.128.80.1 to 73.128.95.25473.128.95.2554,094
773.128.96.0/2073.128.96.1 to 73.128.111.25473.128.111.2554,094
873.128.112.0/2073.128.112.1 to 73.128.127.25473.128.127.2554,094
973.128.128.0/2073.128.128.1 to 73.128.143.25473.128.143.2554,094
1073.128.144.0/2073.128.144.1 to 73.128.159.25473.128.159.2554,094
1173.128.160.0/2073.128.160.1 to 73.128.175.25473.128.175.2554,094
1273.128.176.0/2073.128.176.1 to 73.128.191.25473.128.191.2554,094
1373.128.192.0/2073.128.192.1 to 73.128.207.25473.128.207.2554,094
1473.128.208.0/2073.128.208.1 to 73.128.223.25473.128.223.2554,094
1573.128.224.0/2073.128.224.1 to 73.128.239.25473.128.239.2554,094
1673.128.240.0/2073.128.240.1 to 73.128.255.25473.128.255.2554,094
1773.129.0.0/2073.129.0.1 to 73.129.15.25473.129.15.2554,094
1873.129.16.0/2073.129.16.1 to 73.129.31.25473.129.31.2554,094
1973.129.32.0/2073.129.32.1 to 73.129.47.25473.129.47.2554,094
2073.129.48.0/2073.129.48.1 to 73.129.63.25473.129.63.2554,094
2173.129.64.0/2073.129.64.1 to 73.129.79.25473.129.79.2554,094
2273.129.80.0/2073.129.80.1 to 73.129.95.25473.129.95.2554,094
2373.129.96.0/2073.129.96.1 to 73.129.111.25473.129.111.2554,094
2473.129.112.0/2073.129.112.1 to 73.129.127.25473.129.127.2554,094
2573.129.128.0/2073.129.128.1 to 73.129.143.25473.129.143.2554,094
2673.129.144.0/2073.129.144.1 to 73.129.159.25473.129.159.2554,094
2773.129.160.0/2073.129.160.1 to 73.129.175.25473.129.175.2554,094
2873.129.176.0/2073.129.176.1 to 73.129.191.25473.129.191.2554,094
2973.129.192.0/2073.129.192.1 to 73.129.207.25473.129.207.2554,094
3073.129.208.0/2073.129.208.1 to 73.129.223.25473.129.223.2554,094
3173.129.224.0/2073.129.224.1 to 73.129.239.25473.129.239.2554,094
3273.129.240.0/2073.129.240.1 to 73.129.255.25473.129.255.2554,094
3373.130.0.0/2073.130.0.1 to 73.130.15.25473.130.15.2554,094
3473.130.16.0/2073.130.16.1 to 73.130.31.25473.130.31.2554,094
3573.130.32.0/2073.130.32.1 to 73.130.47.25473.130.47.2554,094
3673.130.48.0/2073.130.48.1 to 73.130.63.25473.130.63.2554,094
3773.130.64.0/2073.130.64.1 to 73.130.79.25473.130.79.2554,094
3873.130.80.0/2073.130.80.1 to 73.130.95.25473.130.95.2554,094
3973.130.96.0/2073.130.96.1 to 73.130.111.25473.130.111.2554,094
4073.130.112.0/2073.130.112.1 to 73.130.127.25473.130.127.2554,094
4173.130.128.0/2073.130.128.1 to 73.130.143.25473.130.143.2554,094
4273.130.144.0/2073.130.144.1 to 73.130.159.25473.130.159.2554,094
4373.130.160.0/2073.130.160.1 to 73.130.175.25473.130.175.2554,094
4473.130.176.0/2073.130.176.1 to 73.130.191.25473.130.191.2554,094
4573.130.192.0/2073.130.192.1 to 73.130.207.25473.130.207.2554,094
4673.130.208.0/2073.130.208.1 to 73.130.223.25473.130.223.2554,094
4773.130.224.0/2073.130.224.1 to 73.130.239.25473.130.239.2554,094
4873.130.240.0/2073.130.240.1 to 73.130.255.25473.130.255.2554,094
4973.131.0.0/2073.131.0.1 to 73.131.15.25473.131.15.2554,094
5073.131.16.0/2073.131.16.1 to 73.131.31.25473.131.31.2554,094
5173.131.32.0/2073.131.32.1 to 73.131.47.25473.131.47.2554,094
5273.131.48.0/2073.131.48.1 to 73.131.63.25473.131.63.2554,094
5373.131.64.0/2073.131.64.1 to 73.131.79.25473.131.79.2554,094
5473.131.80.0/2073.131.80.1 to 73.131.95.25473.131.95.2554,094
5573.131.96.0/2073.131.96.1 to 73.131.111.25473.131.111.2554,094
5673.131.112.0/2073.131.112.1 to 73.131.127.25473.131.127.2554,094
5773.131.128.0/2073.131.128.1 to 73.131.143.25473.131.143.2554,094
5873.131.144.0/2073.131.144.1 to 73.131.159.25473.131.159.2554,094
5973.131.160.0/2073.131.160.1 to 73.131.175.25473.131.175.2554,094
6073.131.176.0/2073.131.176.1 to 73.131.191.25473.131.191.2554,094
6173.131.192.0/2073.131.192.1 to 73.131.207.25473.131.207.2554,094
6273.131.208.0/2073.131.208.1 to 73.131.223.25473.131.223.2554,094
6373.131.224.0/2073.131.224.1 to 73.131.239.25473.131.239.2554,094
6473.131.240.0/2073.131.240.1 to 73.131.255.25473.131.255.2554,094
6573.132.0.0/2073.132.0.1 to 73.132.15.25473.132.15.2554,094
6673.132.16.0/2073.132.16.1 to 73.132.31.25473.132.31.2554,094
6773.132.32.0/2073.132.32.1 to 73.132.47.25473.132.47.2554,094
6873.132.48.0/2073.132.48.1 to 73.132.63.25473.132.63.2554,094
6973.132.64.0/2073.132.64.1 to 73.132.79.25473.132.79.2554,094
7073.132.80.0/2073.132.80.1 to 73.132.95.25473.132.95.2554,094
7173.132.96.0/2073.132.96.1 to 73.132.111.25473.132.111.2554,094
7273.132.112.0/2073.132.112.1 to 73.132.127.25473.132.127.2554,094
7373.132.128.0/2073.132.128.1 to 73.132.143.25473.132.143.2554,094
7473.132.144.0/2073.132.144.1 to 73.132.159.25473.132.159.2554,094
7573.132.160.0/2073.132.160.1 to 73.132.175.25473.132.175.2554,094
7673.132.176.0/2073.132.176.1 to 73.132.191.25473.132.191.2554,094
7773.132.192.0/2073.132.192.1 to 73.132.207.25473.132.207.2554,094
7873.132.208.0/2073.132.208.1 to 73.132.223.25473.132.223.2554,094
7973.132.224.0/2073.132.224.1 to 73.132.239.25473.132.239.2554,094
8073.132.240.0/2073.132.240.1 to 73.132.255.25473.132.255.2554,094
8173.133.0.0/2073.133.0.1 to 73.133.15.25473.133.15.2554,094
8273.133.16.0/2073.133.16.1 to 73.133.31.25473.133.31.2554,094
8373.133.32.0/2073.133.32.1 to 73.133.47.25473.133.47.2554,094
8473.133.48.0/2073.133.48.1 to 73.133.63.25473.133.63.2554,094
8573.133.64.0/2073.133.64.1 to 73.133.79.25473.133.79.2554,094
8673.133.80.0/2073.133.80.1 to 73.133.95.25473.133.95.2554,094
8773.133.96.0/2073.133.96.1 to 73.133.111.25473.133.111.2554,094
8873.133.112.0/2073.133.112.1 to 73.133.127.25473.133.127.2554,094
8973.133.128.0/2073.133.128.1 to 73.133.143.25473.133.143.2554,094
9073.133.144.0/2073.133.144.1 to 73.133.159.25473.133.159.2554,094
9173.133.160.0/2073.133.160.1 to 73.133.175.25473.133.175.2554,094
9273.133.176.0/2073.133.176.1 to 73.133.191.25473.133.191.2554,094
9373.133.192.0/2073.133.192.1 to 73.133.207.25473.133.207.2554,094
9473.133.208.0/2073.133.208.1 to 73.133.223.25473.133.223.2554,094
9573.133.224.0/2073.133.224.1 to 73.133.239.25473.133.239.2554,094
9673.133.240.0/2073.133.240.1 to 73.133.255.25473.133.255.2554,094
9773.134.0.0/2073.134.0.1 to 73.134.15.25473.134.15.2554,094
9873.134.16.0/2073.134.16.1 to 73.134.31.25473.134.31.2554,094
9973.134.32.0/2073.134.32.1 to 73.134.47.25473.134.47.2554,094
10073.134.48.0/2073.134.48.1 to 73.134.63.25473.134.63.2554,094
10173.134.64.0/2073.134.64.1 to 73.134.79.25473.134.79.2554,094
10273.134.80.0/2073.134.80.1 to 73.134.95.25473.134.95.2554,094
10373.134.96.0/2073.134.96.1 to 73.134.111.25473.134.111.2554,094
10473.134.112.0/2073.134.112.1 to 73.134.127.25473.134.127.2554,094
10573.134.128.0/2073.134.128.1 to 73.134.143.25473.134.143.2554,094
10673.134.144.0/2073.134.144.1 to 73.134.159.25473.134.159.2554,094
10773.134.160.0/2073.134.160.1 to 73.134.175.25473.134.175.2554,094
10873.134.176.0/2073.134.176.1 to 73.134.191.25473.134.191.2554,094
10973.134.192.0/2073.134.192.1 to 73.134.207.25473.134.207.2554,094
11073.134.208.0/2073.134.208.1 to 73.134.223.25473.134.223.2554,094
11173.134.224.0/2073.134.224.1 to 73.134.239.25473.134.239.2554,094
11273.134.240.0/2073.134.240.1 to 73.134.255.25473.134.255.2554,094
11373.135.0.0/2073.135.0.1 to 73.135.15.25473.135.15.2554,094
11473.135.16.0/2073.135.16.1 to 73.135.31.25473.135.31.2554,094
11573.135.32.0/2073.135.32.1 to 73.135.47.25473.135.47.2554,094
11673.135.48.0/2073.135.48.1 to 73.135.63.25473.135.63.2554,094
11773.135.64.0/2073.135.64.1 to 73.135.79.25473.135.79.2554,094
11873.135.80.0/2073.135.80.1 to 73.135.95.25473.135.95.2554,094
11973.135.96.0/2073.135.96.1 to 73.135.111.25473.135.111.2554,094
12073.135.112.0/2073.135.112.1 to 73.135.127.25473.135.127.2554,094
12173.135.128.0/2073.135.128.1 to 73.135.143.25473.135.143.2554,094
12273.135.144.0/2073.135.144.1 to 73.135.159.25473.135.159.2554,094
12373.135.160.0/2073.135.160.1 to 73.135.175.25473.135.175.2554,094
12473.135.176.0/2073.135.176.1 to 73.135.191.25473.135.191.2554,094
12573.135.192.0/2073.135.192.1 to 73.135.207.25473.135.207.2554,094
12673.135.208.0/2073.135.208.1 to 73.135.223.25473.135.223.2554,094
12773.135.224.0/2073.135.224.1 to 73.135.239.25473.135.239.2554,094
12873.135.240.0/2073.135.240.1 to 73.135.255.25473.135.255.2554,094
12973.136.0.0/2073.136.0.1 to 73.136.15.25473.136.15.2554,094
13073.136.16.0/2073.136.16.1 to 73.136.31.25473.136.31.2554,094
13173.136.32.0/2073.136.32.1 to 73.136.47.25473.136.47.2554,094
13273.136.48.0/2073.136.48.1 to 73.136.63.25473.136.63.2554,094
13373.136.64.0/2073.136.64.1 to 73.136.79.25473.136.79.2554,094
13473.136.80.0/2073.136.80.1 to 73.136.95.25473.136.95.2554,094
13573.136.96.0/2073.136.96.1 to 73.136.111.25473.136.111.2554,094
13673.136.112.0/2073.136.112.1 to 73.136.127.25473.136.127.2554,094
13773.136.128.0/2073.136.128.1 to 73.136.143.25473.136.143.2554,094
13873.136.144.0/2073.136.144.1 to 73.136.159.25473.136.159.2554,094
13973.136.160.0/2073.136.160.1 to 73.136.175.25473.136.175.2554,094
14073.136.176.0/2073.136.176.1 to 73.136.191.25473.136.191.2554,094
14173.136.192.0/2073.136.192.1 to 73.136.207.25473.136.207.2554,094
14273.136.208.0/2073.136.208.1 to 73.136.223.25473.136.223.2554,094
14373.136.224.0/2073.136.224.1 to 73.136.239.25473.136.239.2554,094
14473.136.240.0/2073.136.240.1 to 73.136.255.25473.136.255.2554,094
14573.137.0.0/2073.137.0.1 to 73.137.15.25473.137.15.2554,094
14673.137.16.0/2073.137.16.1 to 73.137.31.25473.137.31.2554,094
14773.137.32.0/2073.137.32.1 to 73.137.47.25473.137.47.2554,094
14873.137.48.0/2073.137.48.1 to 73.137.63.25473.137.63.2554,094
14973.137.64.0/2073.137.64.1 to 73.137.79.25473.137.79.2554,094
15073.137.80.0/2073.137.80.1 to 73.137.95.25473.137.95.2554,094
15173.137.96.0/2073.137.96.1 to 73.137.111.25473.137.111.2554,094
15273.137.112.0/2073.137.112.1 to 73.137.127.25473.137.127.2554,094
15373.137.128.0/2073.137.128.1 to 73.137.143.25473.137.143.2554,094
15473.137.144.0/2073.137.144.1 to 73.137.159.25473.137.159.2554,094
15573.137.160.0/2073.137.160.1 to 73.137.175.25473.137.175.2554,094
15673.137.176.0/2073.137.176.1 to 73.137.191.25473.137.191.2554,094
15773.137.192.0/2073.137.192.1 to 73.137.207.25473.137.207.2554,094
15873.137.208.0/2073.137.208.1 to 73.137.223.25473.137.223.2554,094
15973.137.224.0/2073.137.224.1 to 73.137.239.25473.137.239.2554,094
16073.137.240.0/2073.137.240.1 to 73.137.255.25473.137.255.2554,094
16173.138.0.0/2073.138.0.1 to 73.138.15.25473.138.15.2554,094
16273.138.16.0/2073.138.16.1 to 73.138.31.25473.138.31.2554,094
16373.138.32.0/2073.138.32.1 to 73.138.47.25473.138.47.2554,094
16473.138.48.0/2073.138.48.1 to 73.138.63.25473.138.63.2554,094
16573.138.64.0/2073.138.64.1 to 73.138.79.25473.138.79.2554,094
16673.138.80.0/2073.138.80.1 to 73.138.95.25473.138.95.2554,094
16773.138.96.0/2073.138.96.1 to 73.138.111.25473.138.111.2554,094
16873.138.112.0/2073.138.112.1 to 73.138.127.25473.138.127.2554,094
16973.138.128.0/2073.138.128.1 to 73.138.143.25473.138.143.2554,094
17073.138.144.0/2073.138.144.1 to 73.138.159.25473.138.159.2554,094
17173.138.160.0/2073.138.160.1 to 73.138.175.25473.138.175.2554,094
17273.138.176.0/2073.138.176.1 to 73.138.191.25473.138.191.2554,094
17373.138.192.0/2073.138.192.1 to 73.138.207.25473.138.207.2554,094
17473.138.208.0/2073.138.208.1 to 73.138.223.25473.138.223.2554,094
17573.138.224.0/2073.138.224.1 to 73.138.239.25473.138.239.2554,094
17673.138.240.0/2073.138.240.1 to 73.138.255.25473.138.255.2554,094
17773.139.0.0/2073.139.0.1 to 73.139.15.25473.139.15.2554,094
17873.139.16.0/2073.139.16.1 to 73.139.31.25473.139.31.2554,094
17973.139.32.0/2073.139.32.1 to 73.139.47.25473.139.47.2554,094
18073.139.48.0/2073.139.48.1 to 73.139.63.25473.139.63.2554,094
18173.139.64.0/2073.139.64.1 to 73.139.79.25473.139.79.2554,094
18273.139.80.0/2073.139.80.1 to 73.139.95.25473.139.95.2554,094
18373.139.96.0/2073.139.96.1 to 73.139.111.25473.139.111.2554,094
18473.139.112.0/2073.139.112.1 to 73.139.127.25473.139.127.2554,094
18573.139.128.0/2073.139.128.1 to 73.139.143.25473.139.143.2554,094
18673.139.144.0/2073.139.144.1 to 73.139.159.25473.139.159.2554,094
18773.139.160.0/2073.139.160.1 to 73.139.175.25473.139.175.2554,094
18873.139.176.0/2073.139.176.1 to 73.139.191.25473.139.191.2554,094
18973.139.192.0/2073.139.192.1 to 73.139.207.25473.139.207.2554,094
19073.139.208.0/2073.139.208.1 to 73.139.223.25473.139.223.2554,094
19173.139.224.0/2073.139.224.1 to 73.139.239.25473.139.239.2554,094
19273.139.240.0/2073.139.240.1 to 73.139.255.25473.139.255.2554,094
19373.140.0.0/2073.140.0.1 to 73.140.15.25473.140.15.2554,094
19473.140.16.0/2073.140.16.1 to 73.140.31.25473.140.31.2554,094
19573.140.32.0/2073.140.32.1 to 73.140.47.25473.140.47.2554,094
19673.140.48.0/2073.140.48.1 to 73.140.63.25473.140.63.2554,094
19773.140.64.0/2073.140.64.1 to 73.140.79.25473.140.79.2554,094
19873.140.80.0/2073.140.80.1 to 73.140.95.25473.140.95.2554,094
19973.140.96.0/2073.140.96.1 to 73.140.111.25473.140.111.2554,094
20073.140.112.0/2073.140.112.1 to 73.140.127.25473.140.127.2554,094
20173.140.128.0/2073.140.128.1 to 73.140.143.25473.140.143.2554,094
20273.140.144.0/2073.140.144.1 to 73.140.159.25473.140.159.2554,094
20373.140.160.0/2073.140.160.1 to 73.140.175.25473.140.175.2554,094
20473.140.176.0/2073.140.176.1 to 73.140.191.25473.140.191.2554,094
20573.140.192.0/2073.140.192.1 to 73.140.207.25473.140.207.2554,094
20673.140.208.0/2073.140.208.1 to 73.140.223.25473.140.223.2554,094
20773.140.224.0/2073.140.224.1 to 73.140.239.25473.140.239.2554,094
20873.140.240.0/2073.140.240.1 to 73.140.255.25473.140.255.2554,094
20973.141.0.0/2073.141.0.1 to 73.141.15.25473.141.15.2554,094
21073.141.16.0/2073.141.16.1 to 73.141.31.25473.141.31.2554,094
21173.141.32.0/2073.141.32.1 to 73.141.47.25473.141.47.2554,094
21273.141.48.0/2073.141.48.1 to 73.141.63.25473.141.63.2554,094
21373.141.64.0/2073.141.64.1 to 73.141.79.25473.141.79.2554,094
21473.141.80.0/2073.141.80.1 to 73.141.95.25473.141.95.2554,094
21573.141.96.0/2073.141.96.1 to 73.141.111.25473.141.111.2554,094
21673.141.112.0/2073.141.112.1 to 73.141.127.25473.141.127.2554,094
21773.141.128.0/2073.141.128.1 to 73.141.143.25473.141.143.2554,094
21873.141.144.0/2073.141.144.1 to 73.141.159.25473.141.159.2554,094
21973.141.160.0/2073.141.160.1 to 73.141.175.25473.141.175.2554,094
22073.141.176.0/2073.141.176.1 to 73.141.191.25473.141.191.2554,094
22173.141.192.0/2073.141.192.1 to 73.141.207.25473.141.207.2554,094
22273.141.208.0/2073.141.208.1 to 73.141.223.25473.141.223.2554,094
22373.141.224.0/2073.141.224.1 to 73.141.239.25473.141.239.2554,094
22473.141.240.0/2073.141.240.1 to 73.141.255.25473.141.255.2554,094
22573.142.0.0/2073.142.0.1 to 73.142.15.25473.142.15.2554,094
22673.142.16.0/2073.142.16.1 to 73.142.31.25473.142.31.2554,094
22773.142.32.0/2073.142.32.1 to 73.142.47.25473.142.47.2554,094
22873.142.48.0/2073.142.48.1 to 73.142.63.25473.142.63.2554,094
22973.142.64.0/2073.142.64.1 to 73.142.79.25473.142.79.2554,094
23073.142.80.0/2073.142.80.1 to 73.142.95.25473.142.95.2554,094
23173.142.96.0/2073.142.96.1 to 73.142.111.25473.142.111.2554,094
23273.142.112.0/2073.142.112.1 to 73.142.127.25473.142.127.2554,094
23373.142.128.0/2073.142.128.1 to 73.142.143.25473.142.143.2554,094
23473.142.144.0/2073.142.144.1 to 73.142.159.25473.142.159.2554,094
23573.142.160.0/2073.142.160.1 to 73.142.175.25473.142.175.2554,094
23673.142.176.0/2073.142.176.1 to 73.142.191.25473.142.191.2554,094
23773.142.192.0/2073.142.192.1 to 73.142.207.25473.142.207.2554,094
23873.142.208.0/2073.142.208.1 to 73.142.223.25473.142.223.2554,094
23973.142.224.0/2073.142.224.1 to 73.142.239.25473.142.239.2554,094
24073.142.240.0/2073.142.240.1 to 73.142.255.25473.142.255.2554,094
24173.143.0.0/2073.143.0.1 to 73.143.15.25473.143.15.2554,094
24273.143.16.0/2073.143.16.1 to 73.143.31.25473.143.31.2554,094
24373.143.32.0/2073.143.32.1 to 73.143.47.25473.143.47.2554,094
24473.143.48.0/2073.143.48.1 to 73.143.63.25473.143.63.2554,094
24573.143.64.0/2073.143.64.1 to 73.143.79.25473.143.79.2554,094
24673.143.80.0/2073.143.80.1 to 73.143.95.25473.143.95.2554,094
24773.143.96.0/2073.143.96.1 to 73.143.111.25473.143.111.2554,094
24873.143.112.0/2073.143.112.1 to 73.143.127.25473.143.127.2554,094
24973.143.128.0/2073.143.128.1 to 73.143.143.25473.143.143.2554,094
25073.143.144.0/2073.143.144.1 to 73.143.159.25473.143.159.2554,094
25173.143.160.0/2073.143.160.1 to 73.143.175.25473.143.175.2554,094
25273.143.176.0/2073.143.176.1 to 73.143.191.25473.143.191.2554,094
25373.143.192.0/2073.143.192.1 to 73.143.207.25473.143.207.2554,094
25473.143.208.0/2073.143.208.1 to 73.143.223.25473.143.223.2554,094
25573.143.224.0/2073.143.224.1 to 73.143.239.25473.143.239.2554,094
25673.143.240.0/2073.143.240.1 to 73.143.255.25473.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses